slepc-3.10.1 2018-10-23
Report Typos and Errors

# SlepcSNPrintfScalar

Prints a PetscScalar variable to a string of given length.

### Synopsis

    #include "slepcsys.h"
    PetscErrorCode SlepcSNPrintfScalar(char *str,size_t len,PetscScalar val,PetscBool exp)

Not Collective

### Input Parameters

| str | - the string to print to
| len | - the length of str
| val | - scalar value to be printed
| exp | - to be used within an expression, print leading sign and parentheses in case of nonzero imaginary part

Location: src/sys/slepcutil.c
Index of all sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/eps/examples/tutorials/ex18.c.html
src/pep/examples/nlevp/acoustic_wave_1d.c.html
src/pep/examples/nlevp/acoustic_wave_2d.c.html